Subject: bug#67537: closed (Re: [bug#67537] [PATCH 0/4] Update weirdware packages.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 04 Jan 2024 11:40:02 +0000

Your bug report

#67537: [PATCH 0/4] Update weirdware packages.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
67537: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=67537
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#67537] [PATCH 0/4] Update weirdware packages.
From: Nicolas Goaziou <[email-masked]>
To: Liliana Marie Prikler <[email-masked]>
Cc: Katherine Cox-Buday <[email-masked]>, [email-masked], Sergey Trofimov <[email-masked]>, Andrew Tropin <[email-masked]>
Date: Thu, 04 Jan 2024 12:38:43 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Liliana Marie Prikler <[email-masked]> writes:

> Am Mittwoch, dem 29.11.2023 um 22:31 +0100 schrieb Sergey Trofimov:
>> Hello guix,
>> 
>> I've noticed that recently added weirdware emacs packages use
>> `inputs` to
>> declare dependencies. I think `propagated-inputs` make more sense
>> here as
>> these are required in runtime.
>> 
>> Sergey Trofimov (4):
>>   gnu: emacs-dnt: Propagate inputs.
>>   gnu: emacs-debase: Remove unused inputs.
>>   gnu: emacs-discomfort: Propagate inputs.
>>   gnu: emacs-hyperspace: Propagated inputs.
> Nice catch.  LGTM.

Applied. Thanks.

Regards,
-- 
Nicolas Goaziou

Subject: [PATCH 0/4] Update weirdware packages.
From: Sergey Trofimov <[email-masked]>
To: [email-masked]
Cc: Sergey Trofimov <[email-masked]>
Date: Wed, 29 Nov 2023 22:31:09 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello guix,

I've noticed that recently added weirdware emacs packages use `inputs` to
declare dependencies. I think `propagated-inputs` make more sense here as
these are required in runtime.

Sergey Trofimov (4):
  gnu: emacs-dnt: Propagate inputs.
  gnu: emacs-debase: Remove unused inputs.
  gnu: emacs-discomfort: Propagate inputs.
  gnu: emacs-hyperspace: Propagated inputs.

 gnu/packages/emacs-xyz.scm | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

base-commit: bdbb9dc27a590b08651d058f06a42caa26e04abb
-- 
2.41.0